import java.sql.*;
import java.io.*;
import java.util.StringTokenizer;

public class Import {

    public static void main(String[] args) throws Exception {

	BufferedReader br=new BufferedReader(new FileReader(new File("data.txt")));

	/**
	 * Replace the Driver name and connection parameters below to work with a db manager other
	 * than MySql.
	 * But before, create a database named 'ohlc' and a table named 'ohlctable' with the following
	 * structure:
	 * Field       Type
	 * =====       ====
	 * date        char(10)
	 * volume      float
	 * open        float
	 * high        float
	 * low         float
	 * close       float
	 */
	Class.forName("org.gjt.mm.mysql.Driver");
	Connection con=DriverManager.getConnection("jdbc:mysql://localhost:3306/ohlc","root","ptax7mf3");
	Statement stmt=con.createStatement();

	// Delete all records previously added to the table.
	stmt.executeUpdate("DELETE FROM ohlctable");

	String line=null;
	String date=null,volume=null,open=null,high=null,low=null,close=null;

	while ((line=br.readLine())!=null) {
	    
	    StringTokenizer st=new StringTokenizer(line,"\t");
	    
	    int countTokens=0;

	    while (st.hasMoreElements()) {

		String token=(String)st.nextElement();

		switch (countTokens) {
		case 0: {
		    date=token;
		    break;
		}
		case 1: {
		    volume=token;
		    break;
		}
		case 2: {
		    open=token;
		    break;
		}
		case 3: {
		    high=token;
		    break;
		}
		case 4: {
		    low=token;
		    break;
		}
		case 5: {
		    close=token;
		    break;
		}
		}

		countTokens++;
	    }
	    
	    String sql="INSERT INTO ohlctable VALUES ('"+date+"',"+volume+","+
		open+","+high+","+low+","+close+")";
	    
	    stmt.executeUpdate(sql);
	    
	}

	br.close();
	stmt.close();
	con.close();

    }

}
