import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Main extends JFrame {

    public Main() {

	setTitle("The JetChart Library - Bubble chart");

	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent evt) {
		    System.exit(0);
		}
	    });
	
	ScatterGraph sg=new ScatterGraph();
	
	sg.setTitle(new String[]{"Industry Market"});
	
	double[][] values1={{14,11200,0.13}};
	double[][] values2={{20,60000,0.18}};
	double[][] values3={{18,14400,0.10}};
	double[][] values4={{25,30000,0.20}};
	double[][] values5={{30,45000,0.39}};
	
	String[] valuesFormat={"###","$ ###,##0.00","###%"};

	String[] toolTipText={"Nr of Products:","Sales:","Market share(%):"};

	BubbleSerie bs1=new BubbleSerie(values1,"Company A");
        bs1.setValuesFormat(valuesFormat);
        bs1.setBorderEnabled(true);
	bs1.setColor(Color.green.darker());
	bs1.setToolTipText(toolTipText);

	bs1.setMaxDiameter(70);

	BubbleSerie bs2=new BubbleSerie(values2,"Company B");
        bs2.setValuesFormat(valuesFormat);
        bs2.setBorderEnabled(true);
	bs2.setColor(Color.blue);
	bs2.setToolTipText(toolTipText);

	BubbleSerie bs3=new BubbleSerie(values3,"Company C");
        bs3.setValuesFormat(valuesFormat);
        bs3.setBorderEnabled(true);
	bs3.setColor(Color.red);
	bs3.setToolTipText(toolTipText);

	BubbleSerie bs4=new BubbleSerie(values4,"Company D");
        bs4.setValuesFormat(valuesFormat);
        bs4.setBorderEnabled(true);
	bs4.setColor(Color.yellow);	
	bs4.setToolTipText(toolTipText);

	BubbleSerie bs5=new BubbleSerie(values5,"Company E");
        bs5.setValuesFormat(valuesFormat);
        bs5.setBorderEnabled(true);
	bs5.setColor(Color.orange);
	bs5.setToolTipText(toolTipText);
	
	BubbleSerie.setMaxZValueScope(BubbleSerie.ALL_SERIES);

	sg.addSerie(bs1);
	sg.addSerie(bs2);
	sg.addSerie(bs3);
	sg.addSerie(bs4);
	sg.addSerie(bs5);

	sg.getToolTip().setEnabled(true);
	
	sg.getBottomTitle().setText("Number of products");
	sg.getLeftTitle().setText("Sales");
	
	sg.getLegend().setPosition(Legend.RIGHT);

        Scale vScale=sg.getVScale();
        vScale.setValueFormat("$ ###,###");
        vScale.setAutoScaleEnabled(false);
        vScale.setMaxValue(70000);
        vScale.setIncrement(10000);
	
        Scale hScale=sg.getHScale();
        hScale.setAutoScaleEnabled(false);
        hScale.setMinValue(6);
        hScale.setMaxValue(36);
        hScale.setIncrement(10);

	Grid grid=sg.getGrid();
	grid.setEnabled(true);
	grid.setColor(Color.lightGray);
	grid.setStyle(Grid.DASHED);
	grid.setDashSize(5);
	
	GridCrossedLines gc=sg.getGridCrossedLines();
	gc.setEnabled(true);
	gc.setColor(Color.lightGray);
	gc.setStyle(GridCrossedLines.DASHED);
	gc.setDashSize(5);
	
	getContentPane().add("Center",sg);
	
	setSize(500,400);
	
	setVisible(true);

    }

    public static void main(String[] args) {
	new Main();
    }
}

	

